## profitbricks-client 1.0.1

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/ProfitBricksClient.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/ProfitBricksClient.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/ProfitBricksClient"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/ProfitBricksClient"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## profitbricks-client 1.0.0

=== debian/changelog ===
profitbricks-client (1.0.0-2~bpo70+1) wheezy-backports; urgency=medium

  * Disable test due to missing python-httpretty in wheezy.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 14 May 2014 11:29:34 +0200

profitbricks-client (1.0.0-2) unstable; urgency=medium

  * Install missing binary and Python module.

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Tue, 06 May 2014 20:19:28 +0200

profitbricks-client (1.0.0-1) unstable; urgency=low

  * Initial release. (Closes: #742181)

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Fri, 02 May 2014 16:05:40 +0200

=== debian/control ===
Source: profitbricks-client
Maintainer: Benjamin Drung <benjamin.drung@profitbricks.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3~),
               python-appdirs,
               python-mock,
               python-setuptools (>= 0.6b3),
               python-sphinx,
               python-suds (>= 0.4)
X-Python-Version: >= 2.6
Standards-Version: 3.9.5
Homepage: https://github.com/profitbricks/profitbricks-client

Package: python-profitbricks-client
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: profitbricks-client
Description: ProfitBricks Client
 A client to control virtual resources provided by ProfitBricks, a company
 providing infrastructure as a service (IaaS).
 .
 You can manage (create, update, and delete) all kinds of virtual resources:
  * data centers
  * servers
  * storages, ROM drives, and snapshots
  * network interface controllers (NICs) and firewalls
 .
 This package contains a command line tool for sending calls to the public
 application programming interface (API) and a Python module for scripting.

Package: python-profitbricks-client-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${python:Depends}
Description: ProfitBricks Client documentation
 A client to control virtual resources provided by ProfitBricks, a company
 providing infrastructure as a service (IaaS).
 .
 You can manage (create, update, and delete) all kinds of virtual resources:
  * data centers
  * servers
  * storages, ROM drives, and snapshots
  * network interface controllers (NICs) and firewalls
 .
 This package contains a command line tool for sending calls to the public
 application programming interface (API) and a Python module for scripting.
 .
 This package includes the documentation in HTML format.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild --with python2,sphinxdoc

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean

override_dh_auto_build:
	dh_auto_build
	make -C docs html man

override_dh_install:
	dh_install --fail-missing

# Disable test due to missing python-httpretty in wheezy
override_dh_auto_test:

## profitbricks-client 1.0.1

=== debian/changelog ===
profitbricks-client (1.0.1-1) unstable; urgency=medium

  * New upstream release.
  * Use suds-jurko. (Closes: #813569)
  * Bump Standards-Version to 3.9.7
  * Install bash completion into /usr/share/bash-completion/completions

 -- Benjamin Drung <benjamin.drung@profitbricks.com>  Wed, 03 Feb 2016 12:00:39 +0100

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
                dh-python,
                python-all (>= 2.6.6-3~),
                python-appdirs,
+               python-httpretty,
                python-mock,
                python-setuptools (>= 0.6b3),
                python-sphinx,
                python-suds (>= 0.4)
 X-Python-Version: >= 2.6
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: https://github.com/profitbricks/profitbricks-client
 
 Package: python-profitbricks-client

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,3 @@
 
 override_dh_install:
 	dh_install --fail-missing
-
-# Disable test due to missing python-httpretty in wheezy
-override_dh_auto_test:

=== debian/watch ===
version=3
https://github.com/profitbricks/profitbricks-client/releases .*/profitbricks-client-(.*).tar.gz
